package com.redxun.knowledge.album.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.base.entity.JsonResult;
import com.redxun.knowledge.album.entity.dao.AlbumApprove;
import com.redxun.knowledge.album.service.AlbumApproveServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/api-knowledge/album/approve")
@Api(tags = "业务--专辑审批表")
@ClassDefine(title = "业务--专辑审批表", alias = "AlbumApproveController", path = "/album/album/albumApprove", packages = "album", packageName = "子系统名称")
public class AlbumApproveController extends BaseController<AlbumApprove> {

    @Autowired
    AlbumApproveServiceImpl albumApproveService;


    @Override
    public BaseService getBaseService() {
        return albumApproveService;
    }

    @Override
    public String getComment() {
        return "业务--专辑审批表";
    }

    @ApiOperation("获取当前登陆人待审核的专辑数量")
    @GetMapping("total")
    public JsonResult total() {
        JsonResult jsonResult = JsonResult.getSuccessResult("");
        Long total = albumApproveService.total();
        return jsonResult.setData(total);
    }

}

