package com.redxun.knowledge.album.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.redxun.knowledge.album.entity.dao.AlbumCatalogue;
import com.redxun.knowledge.album.service.AlbumCatalogueServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/api-knowledge/album/catalogue")
@Api(tags = "业务--专辑版本目录表")
@ClassDefine(title = "业务--专辑版本目录表", alias = "AlbumCatalogueController", path = "/album/album/albumCatalogue", packages = "album", packageName = "子系统名称")
public class AlbumCatalogueController extends BaseController<AlbumCatalogue> {

    @Autowired
    AlbumCatalogueServiceImpl albumCatalogueService;


    @Override
    public BaseService getBaseService() {
        return albumCatalogueService;
    }

    @Override
    public String getComment() {
        return "业务--专辑版本目录表";
    }

}

