package com.redxun.knowledge.album.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.redxun.knowledge.album.entity.dao.AlbumCatalogueKnowledge;
import com.redxun.knowledge.album.service.AlbumCatalogueKnowledgeServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/album/album/albumCatalogueKnowledge")
@Api(tags = "业务--专辑目录知识表")
@ClassDefine(title = "业务--专辑目录知识表", alias = "AlbumCatalogueKnowledgeController", path = "/album/album/albumCatalogueKnowledge", packages = "album", packageName = "子系统名称")
public class AlbumCatalogueKnowledgeController extends BaseController<AlbumCatalogueKnowledge> {

    @Autowired
    AlbumCatalogueKnowledgeServiceImpl albumCatalogueKnowledgeService;


    @Override
    public BaseService getBaseService() {
        return albumCatalogueKnowledgeService;
    }

    @Override
    public String getComment() {
        return "业务--专辑目录知识表";
    }

}

