package com.redxun.knowledge.album.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.util.Objects;

/**
 * <pre>
 *
 * 描述：业务--专辑基本信息表实体类定义
 * 表:KM_ALBUM_INFO
 * 作者：Zizg
 * 邮箱: ray@redxun.cn
 * 日期:2023-01-31 10:07:08
 * 版权：
 * </pre>
 */


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_ALBUM_INFO")
public class AlbumInfo extends BaseExtEntity<String> {

    @JsonCreator
    public AlbumInfo() {
    }

    //主键
    @TableId(value = "PK_ID", type = IdType.INPUT)
    private String pkId;

    //专辑分类ID;对应专辑分类表ID
    @TableField(value = "CATEGORY_ID")
    private String categoryId;
    //名称
    @TableField(value = "NAME")
    private String name;
    //专辑封面;附件ID
    @TableField(value = "COVER")
    private String cover;
    //所属公司ID
    @TableField(value = "OWNER_COMPANY_ID")
    private String ownerCompanyId;
    //所属部门ID
    @TableField(value = "OWNER_DEPARTMENT_ID")
    private String ownerDepartmentId;
    //负责人ID
    @TableField(value = "OWNER_ID")
    private String ownerId;
    //状态;专辑状态：0-待审核 1-审核中 2-已发布  3-专辑关闭  4-专辑驳回
    @TableField(value = "STATE")
    private Integer state;
    //阅读数量
    @TableField(value = "VIEWS")
    private Integer views;
    //删除标记;删除状态：0-正常 1-删除
    @TableLogic
    @TableField(value = "IS_DEL")
    private Integer isDel;

    @TableField(exist = false)
    private String versionId;

    @TableField(exist = false)
    private Integer versionState;

    @TableField(exist = false)
    private Integer knowledgeTotal;

    @TableField(exist = false)
    private Integer yelpTotal;


    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId = pkId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        if (!super.equals(o)) return false;
        AlbumInfo albumInfo = (AlbumInfo) o;
        return Objects.equals(pkId, albumInfo.pkId) && Objects.equals(categoryId, albumInfo.categoryId) && Objects.equals(name, albumInfo.name) && Objects.equals(cover, albumInfo.cover) && Objects.equals(ownerCompanyId, albumInfo.ownerCompanyId) && Objects.equals(ownerDepartmentId, albumInfo.ownerDepartmentId) && Objects.equals(ownerId, albumInfo.ownerId) && Objects.equals(state, albumInfo.state) && Objects.equals(views, albumInfo.views) && Objects.equals(isDel, albumInfo.isDel) && Objects.equals(versionId, albumInfo.versionId) && Objects.equals(versionState, albumInfo.versionState);
    }

    @Override
    public int hashCode() {
        return Objects.hash(super.hashCode(), pkId, categoryId, name, cover, ownerCompanyId, ownerDepartmentId, ownerId, state, views, isDel, versionId, versionState);
    }

    /**
     生成子表属性的Array List
     */

}



