package com.redxun.knowledge.album.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 文件名: AlbumCategoryVo
 * 作者: Zizg
 * 时间: 2023/1/31
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("专辑分类Vo")
@Data
public class AlbumCategoryVo implements Serializable {

    //主键
    @ApiModelProperty("分类Id")
    private String pkId;

    //分类名称
    @ApiModelProperty("分类名称")
    private String name;

    @ApiModelProperty("父类Id")
    private String parent;

    //GRADE
    @ApiModelProperty("层级")
    private Long grade;

    //SORT
    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty("修改人")
    private String updateBy;

    @ApiModelProperty("操作人")
    private String operator;

    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    @ApiModelProperty("操作时间")
    private Date updateTime;

    @ApiModelProperty("下级节点")
    private List<AlbumCategoryVo> children;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建人姓名")
    private String createByName;

    @ApiModelProperty("维护人")
    private String maintainer;

    @ApiModelProperty("维护人姓名")
    private String maintainerName;

    //是否有权限 0 有 1 没有
    @ApiModelProperty("是否有权限 0 有 1 没有")
    private Integer isPermission;

}
