package com.redxun.knowledge.album.service;

import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.knowledge.album.entity.dao.AlbumApprovalNode;
import com.redxun.knowledge.album.entity.dao.AlbumYelpApprovalNode;
import com.redxun.knowledge.album.mapper.AlbumYelpApprovalNodeMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * [业务--专辑点评审核流程节点表]业务服务类
 */
@Service
public class AlbumYelpApprovalNodeServiceImpl extends SuperServiceImpl<AlbumYelpApprovalNodeMapper, AlbumYelpApprovalNode> implements BaseService<AlbumYelpApprovalNode> {

    @Resource
    private AlbumYelpApprovalNodeMapper albumYelpApprovalNodeMapper;

    @Override
    public BaseDao<AlbumYelpApprovalNode> getRepository() {
        return albumYelpApprovalNodeMapper;
    }

    /**
     * 清除原节点数据
     */
    public void deleteAll() {
        albumYelpApprovalNodeMapper.deleteAll();
    }

    public List<AlbumYelpApprovalNode> findAllAlbumApprovalNode(String userId) {
        List<AlbumYelpApprovalNode> result = albumYelpApprovalNodeMapper.findAllAlbumApprovalNode(userId);
        return result;
    }
}
