package com.redxun.knowledge.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * 文件名: ActionLog
 * 作者: Zizg
 * 时间: 2023/1/10
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_ACTION_LOG")
public class ActionLog extends BaseExtEntity<String> {
    @JsonCreator
    public ActionLog() {
    }

    //主键
    @TableId(value = "PK_ID", type = IdType.ASSIGN_ID)
    private String pkId;

    // 类型 (1 知识 2 专辑)
    @TableField(value = "TYPE")
    private Integer type;

    // 知识Id
    @TableField(value = "KNOWLEDGE_ID")
    private String knowledgeId;

    // 用户Id
    @TableField(value = "USER_ID")
    private String userId;

    // 执行器执行次数
    @TableField(value = "EXECUTIONS")
    private Integer executions;

    //删除标记
    @TableField(value = "IS_DEL")
    @TableLogic
    private Integer isDel;

    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId = pkId;
    }


    /**
     生成子表属性的Array List
     */
}
