package com.redxun.knowledge.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 文件名: KnowledgeAgent
 * 作者: zizg
 * 时间: 2023/6/5
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_KNOWLEDGE_AGENT")
public class KnowledgeAgent extends BaseExtEntity<String> {

    @JsonCreator
    public KnowledgeAgent() {
    }

    //主键
    @TableId(value = "PK_ID",type = IdType.ASSIGN_ID)
    private String pkId;
    //代理简述
    @TableField(value = "SKETCH")
    private String sketch;
    //用户自身工号
    @TableField(value = "USER_NO")
    private String userNo;
    //用户自身工号
    @TableField(value = "TAGER_NO")
    private String tagerNo;
    //状态 1 启用 2 禁用
    @TableField(value = "STATE")
    private Integer state;
    //代理开始时间
    @TableField(value = "START_TIME")
    private Date startTime;
    //代理结束时间
    @TableField(value = "END_TIME")
    private Date endTime;
    //描述
    @TableField(value = "DESCRIBE")
    private String describe;
    //删除标记
    @TableField(value = "IS_DEL")
    @TableLogic
    private Integer isDel;

    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId = pkId;
    }
}
