package com.redxun.knowledge.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Past;
import java.io.Serializable;
import java.util.Date;

/**
 * 文件名: KnowledgeAgent
 * 作者: zizg
 * 时间: 2023/6/5
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
public class KnowledgeAgentDto implements Serializable {

    //主键
    private String pkId;
    //代理简述
    @NotEmpty(message = "代理简述不能为空")
    private String sketch;
    //用户自身工号
    @NotEmpty(message = "代理人工号不能为空")
    private String tagerNo;
    //状态 1 启用 2 禁用
    @NotNull(message = "状态不能为空")
    private Integer state;
    //代理开始时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @NotNull(message = "开始时间不能为空")
    private Date startTime;
    //代理结束时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @NotNull(message = "结束时间不能为空")
    private Date endTime;
    //描述
    @TableField(value = "DESCRIBE")
    private String describe;
}
